AKI Patcher 1.0.0

BACKUP 0.12.10.1.11661

Downgrade EFT Client Files

[tabmenu]


Huge thanks to Basuro for the byte patcher. Man is a freakin legend!!


Thanks goes to Senko for the patching project. :face_blowing_a_kiss:

  • Version 1.0.0

    Downgrade EFT client files from version 12.9.2.11410 to version 12.9.10532

  • Hey peps


    I´am still using 0.12.9.10532 in the "live" version because I only have been playing single player for a while, now once I run the live version it will update the game to the 11661 right?

    Any way I can just update to the 11565?

    • Hey.

      Yep, as soon as you log in to your launcher, EFT wants to update.
      As far as I know, there´s no option to choose the version.

      Anyway ... if SOMEONE should upload his 12.9. for any reason whatsoever...
      wouldn´t this be an option for us already-updated people to play again - at least till AKI 8 is good2go!?!

    • Well maybe just got a "fix" for my problem.

      After some "goggling" found this;

      in the BSGLauncher / temp folder we should have a EftClientUpdate 0.12.2.11410-0.12.10.0.11565 folder [1.10GB]

      Going to try to manual copy the files to the live folder and see what happens.


      EDIT: Didnt work, still showing as 12.9.10532


      Next option;

      If you open the launcher temp you will see one folder marked: 0.12.9.*** - 0.12.10.565 and several .upd files for other versions. [not folders, just .upd files.

      Once you hit update on the live BSGLauncher you will se a new file .upd being created marked as ***.11661.

      DO NOT STOP THE LAUNCHER and DELETE the new file created on temp folder.


      You should get a error saying it cannot update to that version **11661, the game should auto repair the game live folder and only install the only available update in the folder 11565.

      It´s a long shot but should work, now waiting for the "repair" option and it´s "more than one hour" .... thanks Nikita.....


      PS. Turn OFF automatic updates on the launcher, that way you can monitor what folders you have on the temp folder and what the launcher will update to.


      Again still testing this stuff not sure it will work.

      I´am updating this as soon the repair is done.


      UPDATE:


      No luck... maybe in a few months I´am able to play SP again. :frowning_face:

    • Edit: Nevermind

  • hi,


    are you by any chance already planing on an update to downgrade from 0.12.10.1.11661, once A8 final is released?

    I was stupid enough to upgrade official today before I realized A8 will only be available for 0.12.10.11565.

    • same over here!

      ... a few moments earlier, I was enjoying the x-mas edition I learned to love over the past few months ... got an error ...

      thought, I might as well update, since I had to wipe either way ... :loudly_crying_face:


      DAMN YOU, CHANGES!!!!

  • @waffle.lord, how long do you think until there will be a version to go from 12.10 to 12.9?

    • There won't be. The patch set is simply too large. You will want to wait for AKI 8 to release.


      See my reply to 79_VORNREZ_79 for additional details.

  • This does not put a smile on my face lolipanic

    Due to some stupid windows update , my computer is complete broken , so i have to re-install it , just to realise that the game update to the new version . Existence is pain ...

  • Not working on EFT 0.12.10.0.11565. Please update.

    • Sadly, 12.10 patch set is far too large. 8Gb Compressed, 14Gb total.


      The version change from 12.9 to 12.10 just has too many changes. You will have to wait for the next stable release or use bleeding edge if you're brave enough.


      Just know, bleeding edge doesn't have support and may not work at all depending on how far into it's development it is.

  • Hello, is there a video tutorial or something I can use to reference im having a difficult time trying to get this to work.


    Update: After following the steps neccessary, as soon as it launches, id say it takes like 5 seconds before it crashes and closes out the program. It happens as soon as the "profile loading" screen comes up.


    Update: Still not working. Could someone produce a tutorial video for those in need, please?

    • have to gotten it to work ? im having the same issue

    • I have not gotten it to work

  • Does it work with the EFT update that dropped toay?

  • Please can someone help me. Where i can download the downgrader

  • When you say live client files doe that include file "BSGLauncher" or is that okay to leave?

    • Specifically the EFT Live folder's files.

      4tdUM4j

  • I don't know what I'm doing wrong, I follow the directions to a tee im pretty sure and it successfully creates a sever but when I use the second .exe it just says unable to connect and different versions of that :(
    Thanks so much for your help I want to play this so bad but i must be missing something.

  • Thank You Guys Or Ladies For This

  • Where?what is the guilded server

    • they are currently purging the server of inactive users so they locked the server to not accidentally kick new users